Index: pg_regress.sh
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/test/regress/pg_regress.sh,v
retrieving revision 1.35
diff -c -w -r1.35 pg_regress.sh
*** pg_regress.sh	7 Aug 2003 14:36:31 -0000	1.35
--- pg_regress.sh	27 Oct 2003 23:29:33 -0000
***************
*** 556,566 ****
--- 556,576 ----
      else
          # Start a parallel group
          $ECHO_N "parallel group ($# tests): $ECHO_C"
+ 	case $host_platform in *-*-cygwin*)
+ 	    testnum=0
+ 	    test $# -gt 9 && $ECHO_N " (parallelism limited to 10) $ECHO_C"
+ 	    ;;
+ 	esac
          for name do
              ( 
  	      $PSQL -d "$dbname" <"$inputdir/sql/$name.sql" >"$outputdir/results/$name.out" 2>&1
                $ECHO_N " $name$ECHO_C"
              ) &
+ 	    case $host_platform in *-*-cygwin*)
+ 	        testnum=`expr \( $testnum + 1 \) % 10`
+ 		test $testnum -eq 0 && wait
+ 		;;
+ 	    esac
          done
          wait
          echo
